> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getBlockByHash

> Returns information about a block by hash



## OpenAPI

````yaml /api-reference/openapi.json post /eth_getBlockByHash
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /eth_getBlockByHash:
    post:
      tags:
        - Ethereum API
      summary: eth_getBlockByHash
      description: Returns information about a block by hash
      operationId: eth_getBlockByHash
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: eth_getBlockByHash
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Block hash and transaction details flag
                  default:
                    - >-
                      0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae
                    - false
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: eth_getBlockByHash
              params:
                - >-
                  0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae
                - false
      responses:
        '200':
          description: Returns block information
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: object
                    description: Block information
                    properties:
                      number:
                        type: string
                        example: '0x1b4'
                      hash:
                        type: string
                        example: >-
                          0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae
                      parentHash:
                        type: string
                        example: >-
                          0x59f0ff194fe56f5b5fe5436df726c0f6201ce7d6364a04361c7324cceb322a67
              example:
                jsonrpc: '2.0'
                id: 1
                result:
                  number: '0x1b4'
                  hash: >-
                    0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae
                  parentHash: >-
                    0x59f0ff194fe56f5b5fe5436df726c0f6201ce7d6364a04361c7324cceb322a67
                  nonce: '0x0000000000000000'
                  sha3Uncles: >-
                    0x0000000000000000000000000000000000000000000000000000000000000000
                  logsBloom: >-
                    0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
                  transactionsRoot: >-
                    0x0000000000000000000000000000000000000000000000000000000000000000
                  stateRoot: >-
                    0x0000000000000000000000000000000000000000000000000000000000000000
                  receiptsRoot: >-
                    0x0000000000000000000000000000000000000000000000000000000000000000
                  miner: '0x0000000000000000000000000000000000000000'
                  difficulty: '0x0'
                  totalDifficulty: '0x0'
                  extraData: 0x
                  size: '0x3e8'
                  gasLimit: '0x6691b7'
                  gasUsed: '0x5208'
                  timestamp: '0x5d9676a0'
                  transactions: []
                  uncles: []

````